Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451627 - spamd processes blocked, "prefork: select returned -1! recovering: Bad file descriptor"
Summary: spamd processes blocked, "prefork: select returned -1! recovering: Bad file d...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: spamassassin
Version: 4.8
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Petr Lautrbach
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 09:55 UTC by David Tonhofer
Modified: 2012-06-20 16:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:04:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
Lines of "spamd" left in the mail syloglog (extract) (deleted)
2008-06-16 09:58 UTC, David Tonhofer
no flags Details


Links
System ID Priority Status Summary Last Updated
SpamAssassin 5313 None None None Never

Description David Tonhofer 2008-06-16 09:55:48 UTC
Description of problem:

Sometimes spamd gets into a state where it seems to be unable to process mails
and from which it cannot get out.

The log shows long runs of 

"prefork: select returned -1! recovering: Bad file descriptor"

followed by what I understand to be attempts by spamd to start subprocesses.
This goes on until restart. Attached an extract of the mail log.

This does not happen really often, once every two months or so. But the system
only has about 20 users. A restart helps. 

Unfortunately, not much more info for now.

Version-Release number of selected component (if applicable):

spamassassin-3.1.9-1.el4.1

How reproducible:

Difficult

Comment 1 David Tonhofer 2008-06-16 09:58:05 UTC
Created attachment 309476 [details]
Lines of "spamd" left in the mail syloglog (extract)

Comment 2 Radu Greab 2008-07-25 23:51:22 UTC
Added a reference to the upstream bug #5313.

Comment 3 Warren Togami 2008-07-26 05:29:36 UTC
It looks like this was fixed in spamassassin-3.2.0.  RHEL4 has
spamassassin-3.2.4-1.el4.1 yet you still have this problem?


Comment 4 Radu Greab 2008-07-26 11:40:19 UTC
I personally use spamassassin on CentOS systems and CentOS has
spamassassin-3.1.9-1.el4. I was not aware until now of this version mismatch.

I don't know if the reporter is running CentOS too or he is using an older RHEL4
release. If he uses RHEL4, the issue, as you said, should be already fixed if he
upgrades.


Comment 5 David Tonhofer 2008-07-26 22:44:22 UTC
Original reporter here. As indicated, this is a RHEL4 with a 3.1.9-1.el4.1. 

Version 3.2.4 is indeed out, so it's time to upgrade.

Comment 6 Jiri Pallich 2012-06-20 16:04:23 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.